-- Customer specific once-script AAGN#36845.
-- Update gebouwverantwoordelijke

SET ECHO ON
SET DEFINE ON
column fcltlogfile new_value fcltlogfile NOPRINT;

SELECT UPPER (USER) || '_AAGN#36845' || '.lst' AS fcltlogfile FROM DUAL;

spool &fcltlogfile
SET DEFINE OFF;

-- key 652 = Ersin Durdu
-- key 585 = Martijn Beenen
-- key 626 = Richard Curfs
-- key 1062 = Kenmerk 'Vastgoedmanager'
UPDATE alg_gebouw
   SET prs_perslid_key_verantw = 652
 WHERE alg_gebouw_key IN
             (SELECT alg_gebouw_key
                FROM alg_gebouw
               WHERE alg_gebouw_verwijder IS NULL
                 AND prs_perslid_key_verantw = 585
              UNION
              SELECT alg_gebouw_key
                FROM alg_gebouw g, alg_onrgoedkenmerk aog
               WHERE alg_gebouw_verwijder IS NULL
                 AND prs_perslid_key_verantw = 626
                 AND g.alg_gebouw_key = aog.alg_onrgoed_key
                 AND aog.alg_onrgoed_niveau = 'G'
                 AND aog.alg_kenmerk_key = 1065
                 AND LOWER (aog.alg_onrgoedkenmerk_waarde) LIKE
                        '%tarkan%ege%');

COMMIT;

BEGIN adm.systrackscriptId('$Id$'); END;
/

SPOOL OFF
QUIT